# &adminguide;

## Overview

The ss7ops module can currently handle M2UA/MTP-L3/ISUP and convert it to JSON. In the future this might gain support for more SIGTRAN adoptions and ITU TCAP/GSM MAP.

## External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- None.

## Functions

isup_to_json(proto)

### `isup_to_json`

Pass the HEP protocol type as parameter (e.g. 8 for M2UA) and the contained ISUP payload will be converted to a JSON string. The result can be accessed using the $isup(1) variable.

#### `isup_to_json` usage

    ...
    isup_to_json(8);
    ...

## Variables

### `isup(id)`

If id is set to 1, return the JSON representation as string for the last message that was parsed.